CVE-2004-0686 (samba, secure_linux)